
plugins {
    id 'maven-publish'
    id 'signing'
    id "io.github.gradle-nexus.publish-plugin" version "2.0.0-rc-1"
    id "com.google.osdetector" version "1.7.3"
}

wrapper {
    gradleVersion = libs.versions.gradle.get()
    distributionType = Wrapper.DistributionType.BIN
}

apply plugin: 'com.google.osdetector'

ext {
    user = 'joerg'
    name = 'netty'
    description = 'Fork of Netty for Java 21+, Gradle 8.5*, with module info'
    inceptionYear = '2023'
    url = 'https://xbib.org/' + user + '/' + name
    scmUrl = 'https://xbib.org/' + user + '/' + name
    scmConnection = 'scm:git:git://xbib.org/' + user + '/' + name + '.git'
    scmDeveloperConnection = 'scm:git:ssh://forgejo@xbib.org:' + user + '/' + name + '.git'
    issueManagementSystem = 'Forgejo'
    issueManagementUrl = ext.scmUrl + '/issues'
    licenseName = 'The Apache License, Version 2.0'
    licenseUrl = 'http://www.apache.org/licenses/LICENSE-2.0.txt'
    organizationName = 'xbib'
    organizationUrl = 'https://xbib.org'
}

subprojects {
    apply from: rootProject.file('gradle/repositories/maven.gradle')
    apply from: rootProject.file('gradle/compile/java.gradle')
    apply from: rootProject.file('gradle/test/junit5.gradle')
    apply from: rootProject.file('gradle/publish/maven.gradle')
}
apply from: rootProject.file('gradle/publish/sonatype.gradle')
apply from: rootProject.file('gradle/publish/forgejo.gradle')
